﻿namespace ClassLibrary1;

using System;
using System.Collections.Generic;

public class Player
{
    public string Name { get; set; }
    public string Hero { get; set; }

    public Player(string name)
    {
        Name = name;
    }

    public void Display()
    {
        Console.WriteLine($"{Name}");
    }

    public void PickHero(string hero)
    {
        Hero = hero;
        Console.WriteLine($"{Name} выбрал героя: {Hero}");
    }

    public void PickItems(List<Item> items)
    {
        Console.WriteLine($"{Name} пикает предметы:");
        foreach (var item in items)
        {
            Console.WriteLine($"- {item.ItemName}");
        }
    }

    public void BuyItem(Item item)
    {
        Console.WriteLine($"{Name} купил предмет: {item.ItemName}");
    }
}

public class Item
{
    public string ItemName { get; set; }

    public Item(string itemName)
    {
        ItemName = itemName;
    }

    public void Display()
    {
        Console.WriteLine($"{ItemName}");
    }
}